Name:          gnunet
Summary:       GNU's Framework for Secure Peer-to-Peer Networking
URL:           https://gnunet.org/
License:       GPLv3+

Version:       0.10.1
Release:       1%{?dist}.3
Source0:       http://ftpmirror.gnu.org/%{name}/%{name}-%{version}.tar.gz

BuildRequires: gnutls-devel >= 3.2.12
BuildRequires: libextractor-devel >= 0.6.1
BuildRequires: libgcrypt-devel >= 1.6.0
BuildRequires: libgnurl-devel >= 7.35.0
BuildRequires: libidn-devel >= 1.0
BuildRequires: libmicrohttpd-devel >= 0.9.40
BuildRequires: libtool-ltdl-devel >= 2.2
BuildRequires: libunistring-devel >= 0.9.2
BuildRequires: sqlite-devel >= 3.8

# For the experimental conversation tool
BuildRequires: opus-devel >= 1.0.1
BuildRequires: pulseaudio-libs-devel >= 2.0
BuildRequires: libogg-devel >= 1.3.0

%description
GNUnet is peer-to-peer framework focusing on security. The first and primary
application for GNUnet is anonymous file-sharing. GNUnet is currently
developed by a worldwide group of independent free software developers. GNUnet
is a GNU package (http://www.gnu.org/).

This is an ALPHA release.  There are known and significant bugs as
well as many missing features in this release.


%package devel
Summary:       Development files for gnunet.
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for gnunet.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install

find %{buildroot} -name '*.la' -exec rm -f '{}' \;

# We install this with %%license
rm -f %{buildroot}%{_datadir}/doc/%{name}/COPYING

%find_lang %{name}


%check
make check GNUNET_PREFIX=%{buildroot}%{_libdir} || for FILE in $(find . -name 'test-suite.log'); do echo "##### $FILE #####"; cat $FILE; done


%files -f %{name}.lang
%doc README
%license COPYING
%{_bindir}/%{name}-*
%{_prefix}/lib/%{name}
%{_libdir}/%{name}
%{_libdir}/lib%{name}*.so.*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}-*.1*
%{_mandir}/man5/%{name}.conf.5*

%files devel
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/lib%{name}*.so


%changelog
* Sun Nov  1 2015 Mathieu Bridon <bochecha@daitauha.fr> - 0.10.1-1
- Initial package.
